import request from './request.js';
// 查询地址下拉树结构 -- 到小区
const addrTreeSelect = async (data) => {
	const res = await request.get({ url: `/wx/addr/tree`, data });
	return res.data;
}
// 楼栋查询
const buildingList = async (data) => {
	const res = await request.get({ url: `/wx/addr/buildings`, data });
	return res.data;
}
// 住宅查询
const houseList = async (data) => {
	const res = await request.get({ url: `/wx/addr/houses`, data });
	return res.data;
}
// 居民信息登记、修改
const registerUser = async (data) => {
	const res = await request.post({ url: `/resident/register`, data });
	return res.data;
}
// 获取居民信息
const getUser = async () => {
	const res = await request.get({ url: `/resident/list` });
	return res.data;
}
// 删除居民信息
const delUser = async () => {
	const res = await request.del({ url: `/resident/del` });
	return res.data;
}
// 获取居民信息申请记录
const getApplyUser = async () => {
	const res = await request.get({ url: `/resident/req/list` });
	return res.data;
}
export default { addrTreeSelect, buildingList, houseList, registerUser, getUser, delUser, getApplyUser };